searchNodes=[{"ref":"StreamStats.html","title":"StreamStats","type":"module","doc":"Enables concurrent calculation of count, mean and standard deviation. New values can be aggregated into an existing stat tuple and two stat tuples can be merged into one. Inspired by the following article by John D. Cook: https://www.johndcook.com/blog/skewness_kurtosis/"},{"ref":"StreamStats.html#combine/2","title":"StreamStats.combine/2","type":"function","doc":"Aggregates a number or stats tuple into a stats tuple. First argument can be a number or stats tuple."},{"ref":"StreamStats.html#combine_stats/2","title":"StreamStats.combine_stats/2","type":"function","doc":"Merges two stats tuples. Implemented as Chan&#39;s Parallel Algorithm. https://en.wikipedia.org/wiki/Algorithms_for_calculating_variance#Parallel_algorithm"},{"ref":"StreamStats.html#push_value/2","title":"StreamStats.push_value/2","type":"function","doc":"Adds a value to the aggregated stats tuple. Implemented as Welford&#39;s Online algorithm. https://en.wikipedia.org/wiki/Algorithms_for_calculating_variance#Welford's_Online_algorithm"},{"ref":"StreamStats.html#reduce/2","title":"StreamStats.reduce/2","type":"function","doc":"Aggregates the values in a list to a stats tuple."},{"ref":"StreamStats.html#standard_deviation/1","title":"StreamStats.standard_deviation/1","type":"function","doc":"Calculates the standard deviation using a stats tuple."},{"ref":"StreamStats.html#variance/1","title":"StreamStats.variance/1","type":"function","doc":"Calculates the variance using a stats tuple."},{"ref":"StreamStats.html#t:count/0","title":"StreamStats.count/0","type":"type","doc":""},{"ref":"StreamStats.html#t:m2/0","title":"StreamStats.m2/0","type":"type","doc":""},{"ref":"StreamStats.html#t:mean/0","title":"StreamStats.mean/0","type":"type","doc":""},{"ref":"StreamStats.html#t:t/0","title":"StreamStats.t/0","type":"type","doc":""},{"ref":"readme.html","title":"StreamStats","type":"extras","doc":"StreamStats Enables concurrent calculation of count, mean and standard deviation. New values can be aggregated into an existing stat tuple and two stat tuples can be merged into one. Inspired by the following article by John D. Cook: https://www.johndcook.com/blog/skewness_kurtosis/"},{"ref":"readme.html#installation","title":"StreamStats - Installation","type":"extras","doc":"The package can be installed by adding stream_stats to your list of dependencies in mix.exs: def deps do [ {:stream_stats, &quot;~&gt; 0.1.0&quot;} ] end"},{"ref":"readme.html#example-usage","title":"StreamStats - Example usage","type":"extras","doc":"Given two lists of numbers values_1 and values_2 the two lists can be aggregated independently, then combined into a single stats tuple: stream_1 = StreamStats.reduce(values_1) stream_2 = StreamStats.reduce(values_2) stats = StreamStats.combine(stream_1, stream_2) {count, mean, _m2} = stats std_dev = StreamStats.standard_deviation(stats)"},{"ref":"license.html","title":"LICENSE","type":"extras","doc":"The MIT License (MIT) Copyright (c) 2019 Tyson Buzza Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the &quot;Software&quot;), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions: The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software. THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE."}]